Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 09 Mar 2021 16:39:19 +0000

Hi Arunjay Raj Chouhan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi,
An item was wrongly delivered in my last order, I have contacted the customer service on the very next day which is 1 Mar and they placed a return request from their end. Till today no one contacted me for the pickup and I can't see any status updates.
It's really a very bad shopping experience with SPLASH. First my order got delayed by 3 days, after so many follow ups they have delivered my items.
Second they have delivered the wrong items and now I am struggling for my refund.
Kindly help in this regard.

Thanks,
Sai https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2217578